class CreateContractorInitializations < ActiveRecord::Migration
  def change
    create_table :contractor_initializations do |t|
      t.belongs_to :workflow_instance, index: true
      t.string :state
      t.string :type
      t.text :notes


      t.timestamps null: false
    end

    WorkflowInstance::Scenario1.pluck(:id).each{|id| ContractorInitialization::Scenario1.create!(workflow_instance_id: id) }
  end
end
